# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	The open source edition of the SugarCRM software
Name:		sugaros
Version:	4.5.1f
Release:	%mkrel 2
License:	MPL
Group:		System/Servers
URL:		http://www.sugarforge.org/
Source0:	http://www.sugarforge.org/frs/download.php/2535/SugarOS-%{version}.zip
BuildRequires:	apache-base >= 2.0.54
BuildRequires:	file
Requires(pre):	apache-mod_php php-mysql php-gd php-xml php-pear php-imap php-curl php-mbstring
Requires:	apache-mod_php php-mysql php-gd php-xml php-pear php-imap php-curl php-mbstring
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sugar Open Source is the freely distributed open source edition of the SugarCRM
software. It is a production-ready CRM system supported by both the Sugar
Community and SugarCRM Inc., the company behind Sugar Open Source. Released
under the Sugar Public License (SPL), you are free to download, modify and
redistribute Sugar Open Source.

%prep

%setup -q -n SugarOS-Full-%{version}

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}
cp -aRf * %{buildroot}/var/www/%{name}/

# apache config
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/01_%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All

    # These were taken from inspecting the generated .htaccess file.
    # NOTE: in Mandriva .htaccess files are ignored.
    RedirectMatch /%{name}/sugarcrm.log.* /%{name}/log_file_restricted.html
    RedirectMatch /%{name}/emailman.log /%{name}/log_file_restricted.html
    RedirectMatch /%{name}/not_imported_(.*).txt /%{name}/log_file_restricted.html
    RedirectMatch /%{name}/XTemplate/(.*)/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/data/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/examples/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/include/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/include/(.*)/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/log4php/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/log4php/(.*)/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/metadata/(.*)/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/modules/(.*)/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/soap/(.*).php /%{name}/index.php
    RedirectMatch /%{name}/emailmandelivery.php /%{name}/index.php

</Directory>
EOF

# fix attribs
find %{buildroot}/var/www/%{name} -type d | sed -e "s|%{buildroot}||" | sed -e 's/^/%attr(0755,apache,root) %dir /' > %{name}.filelist
find %{buildroot}/var/www/%{name} -type f | sed -e "s|%{buildroot}||" | sed -e 's/^/%attr(0644,apache,root) /' >> %{name}.filelist

echo "%attr(0644,apache,root) %config(noreplace) /var/www/%{name}/config.php" >> %{name}.filelist

echo "# this file is ignored" >> %{buildroot}/var/www/%{name}/.htaccess
echo "%attr(0644,apache,root) /var/www/%{name}/.htaccess">> %{name}.filelist

echo "# placeholder" >> %{buildroot}/var/www/%{name}/upgradeWizard.log
echo "%attr(0644,apache,root) /var/www/%{name}/upgradeWizard.log">> %{name}.filelist

%post
%_post_webapp

%postun
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.filelist
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/01_%{name}.conf




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.5.1f-2mdv2008.1
+ Revision: 171132
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 06 2007 Oden Eriksson <oeriksson@mandriva.com> 4.5.1f-1mdv2008.0
+ Revision: 95653
- 4.5.1f


* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 4.5.1-2mdv2007.1
+ Revision: 138893
- fix deps
- make it less secure but easier to use...

* Thu Mar 08 2007 Oden Eriksson <oeriksson@mandriva.com> 4.5.1-1mdv2007.1
+ Revision: 138424
- Import sugaros

* Thu Mar 08 2007 Oden Eriksson <oeriksson@mandriva.com> 4.5.1-1mdv2007.1
- initial Mandriva package

